##
##  bit.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  1.1.2
%define       V_dist  20211003

#   package information
Name:         bit
Summary:      Git Frontend CLI
URL:          https://github.com/chriswalz/bit
Vendor:       Chris Walz
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      Apache
Version:      %{V_opkg}.%{V_dist}
Release:      20211003

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/bit/bit-%{V_dist}.tar.xz
Patch0:       bit.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    bit(1) is an experimental modernized Git VCS built on top of the
    git(1) CLI that provides happy defaults and other niceties.

%track
    prog bit:release = {
        version   = %{V_opkg}
        url       = https://github.com/chriswalz/bit/releases
        regex     = v(__VER__)\.tar\.gz
    }
    prog bit:snapshot = {
        version   = %{V_dist}
        url       = http://download.openpkg.org/components/versioned/bit/
        regex     = bit-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n bit
    %patch -p0

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/chriswalz/bit
    go build -v -o bit

%install
    #   install program
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        src/github.com/chriswalz/bit/bit \
        $RPM_BUILD_ROOT%{l_prefix}/bin/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

